QGIS Application - Bug report #18491
QGIS 3 - badly generated jgw file
2018-03-20 03:50 PM - Tomasz Romaszkiewicz

Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Map Canvas

Affected QGIS version:3.0.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26379
Description

If you have set the rotation of the canvas to bigger than 90 degress and then try to save map as image file then QGIS will generate wrong
word file - the fourth value has double '-' at the beginning. Sample:

-0.01847046396465634
1.05817217183748857
1.05817217183748857
--0.01847046396465634
-1695664.99200768675655127
9425646.86312681064009666

Associated revisions

Revision a2ba566e - 2018-03-22 01:18 AM - Nyall Dawson

Fix generation of world file when exporting canvas

Fixes #18491

Revision 204e0c12 - 2018-03-22 02:53 AM - Nyall Dawson

Fix generation of world file when exporting canvas

Fixes #18491

(cherry-picked from a2ba566)

History

#1 - 2018-03-20 10:31 PM - Nyall Dawson
- Status changed from Open to Feedback

Can you please confirm whether the correct line should be:

"0.01847046396465634"

or
"-0.01847046396465634"?

#2 - 2018-03-21 08:58 AM - Tomasz Romaszkiewicz
- Assignee set to Nyall Dawson
- Status changed from Feedback to Open

As we have checked, the correct values should be:

-0.01847046396465634
1.05817217183748857
1.05817217183748857
0.01847046396465634
-1695664.99200768675655127
9425646.86312681064009666

So the double -’ should disappear.

#3 - 2018-03-22 01:18 AM - Nyall Dawson

- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|a2ba566e2b98c5bb520b46c0635652fbf2140979.
